Retro Rocket Kernel BASIC-Powered Operating System

Public Attributes | List of all members
MultiBoot Struct Reference
Collaboration diagram for MultiBoot:
[legend]

## Public Attributes
uint32_t | flags
uint32_t | mem_lower
uint32_t | mem_upper
uint32_t | boot_device
const char * | commandline
uint32_t | mods_count
uint32_t | mods_addr
uint32_t | elf_headers_num
uint32_t | elf_headers_size
uint32_t | elf_headers_addr
uint32_t | elf_headers_shndx
uint32_t | mmap_len
MB_MemMap * | mmap_addr
uint32_t | drives_length
uint32_t | drives_addr
uint32_t | config_table
const char * | bootloadername
uint32_t | apm_table
uint32_t | vbe_control_info
uint32_t | vbe_mode_info
uint16_t | vbe_mode
uint16_t | vbe_interface_seg
uint16_t | vbe_interface_off
uint16_t | vbe_interface_len

## Member Data Documentation

## ◆ apm_table

uint32_t MultiBoot::apm_table

## ◆ boot_device

uint32_t MultiBoot::boot_device

## ◆ bootloadername

const char* MultiBoot::bootloadername

## ◆ commandline

const char* MultiBoot::commandline

## ◆ config_table

uint32_t MultiBoot::config_table

## ◆ drives_addr

uint32_t MultiBoot::drives_addr

## ◆ drives_length

uint32_t MultiBoot::drives_length

## ◆ elf_headers_addr

uint32_t MultiBoot::elf_headers_addr

## ◆ elf_headers_num

uint32_t MultiBoot::elf_headers_num

## ◆ elf_headers_shndx

uint32_t MultiBoot::elf_headers_shndx

## ◆ elf_headers_size

uint32_t MultiBoot::elf_headers_size

## ◆ flags

uint32_t MultiBoot::flags

## ◆ mem_lower

uint32_t MultiBoot::mem_lower

## ◆ mem_upper

uint32_t MultiBoot::mem_upper

## ◆ mmap_addr

MB_MemMap* MultiBoot::mmap_addr

## ◆ mmap_len

uint32_t MultiBoot::mmap_len

## ◆ mods_addr

uint32_t MultiBoot::mods_addr

## ◆ mods_count

uint32_t MultiBoot::mods_count

## ◆ vbe_control_info

uint32_t MultiBoot::vbe_control_info

## ◆ vbe_interface_len

uint16_t MultiBoot::vbe_interface_len

## ◆ vbe_interface_off

uint16_t MultiBoot::vbe_interface_off

## ◆ vbe_interface_seg

uint16_t MultiBoot::vbe_interface_seg

## ◆ vbe_mode

uint16_t MultiBoot::vbe_mode

## ◆ vbe_mode_info

uint32_t MultiBoot::vbe_mode_info